.\" doc/2ti86.man - manual page for 2ti86.
.\" Copyright (C) 2003 Dean Scarff
.\"
.\" Written 23 Feb 2003 by Dean Scarff <p00ya@ATusers.sf.DOTnet>
.\"
.TH 2ti86 1 "February 23, 2003"
.SH NAME
2ti86 \- Create TI-86 Graph Link files
.SH "SYNOPSIS"
.B 2ti86 \-[opqvhUV]... [\-o\fBOUTPUT\fR] [\-t\fBTYPE\fR] \fBINPUT\fR
.PP
Convert \fBINPUT\fR, to a TI-86 Graph Link file.
.SH "DESCRIPTION"
\fB2ti86\fP converts different file formats to TI-86 Graph Link (*.86?) files. 
It currently supports z80 binaries (from TASM or z88dk), text files (with 
ASCII to TI-86 character conversions).

A brief description of the format shows why such a utility is necessary.
The TI-86 Graph Link file format has three parts: a header, a data section, and
a checksum for the data.  The data section can contain a number of variables,
each having their own header.
Furthermore, the TI-86 does not follow the ASCII standard for 'abnormal' 
characters, and its number representations are unlikely to be compatible with
many architectures.
.PP
.SH "OPTIONS"
\fB2ti86\fP accepts the following options:
.TP
.BR  -f ", " --flags=\fIFORMAT\fP
Use built-in conversion facilities for header and low-level substitutions.
Currently valid types are text, z80bin.  If this is omitted, data from 
\fBINPUT\fR will be read to the data section of the output without changes.
.TP
.BR  -o ", " --output=\fIFILE\fP
Write output to \fIFILE\fP instead of standard output.
.TP
.BR  -q ", " --quiet ", " --silent
Inhibit output.
.TP
.BR  -v ", " --verbose
Increase output level.
.TP
.BR  --brief
Decrease output level.
.TP
.BR  -? ", " --help
List all available options and arguments, along with their meanings.
.TP
.BR  -U ", " --usage
Show summary of options.
.TP
.BR  -V ", " --version
Show version of program.
.SH "SEE ALSO"
\fBTI-86 Link Protocol Guide v1.0\fP
(http://gladstone.uoregon.edu/~tsinger/link/TI-86/index.html)
by Tim Singer and Romain Livin

.SH "AUTHOR"
Dean Scarff <p00ya@ATusers.sf.DOTnet>
.SH "COPYRIGHT"
Copyright (c) 2003 Dean Scarff.
.PP
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.1
or any later version published by the Free Software Foundation;
with no Invariant Sections, with no Front-Cover Texts, and with no
Back-Cover Texts.  See the file COPYING.DOC for details.

